### Enumeration

# Fwupd SecurityAttrFlags

#### Declaration

    flags Fwupd.SecurityAttrFlags

#### Description [src]

The flags available for HSI attributes.

#### Members

Name | Description
--- | ---
`FWUPD_SECURITY_ATTR_FLAG_NONE` | No flags set.
`FWUPD_SECURITY_ATTR_FLAG_SUCCESS` | Success.
`FWUPD_SECURITY_ATTR_FLAG_OBSOLETED` | Obsoleted by another attribute.
`FWUPD_SECURITY_ATTR_FLAG_MISSING_DATA` | Missing data.
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_UPDATES` | Suffix `U`.
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_ATTESTATION` | Suffix `A`.
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_ISSUE` | Suffix `!`.
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONTACT_OEM` | Contact the firmware vendor for a update.
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONFIG_FW` | Failure may be fixed by changing FW config.
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONFIG_OS` | Failure may be fixed by changing OS config.
`FWUPD_SECURITY_ATTR_FLAG_CAN_FIX` | The failure can be automatically fixed.
`FWUPD_SECURITY_ATTR_FLAG_CAN_UNDO` | The fix can be automatically reverted.